Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide
Class IdeAccess

public abstract class IdeAccess

Class `IdeAccess` provides access to the `IdeManager` and all other managers.

This entry-point interface provides methods for accessing IDE's internal managers (`IdeDiagramManager, IdeWindowManager, IdeEditorManager` etc.). These managers are responsible for manipulating, creating and controlling diagrams, windows, editors and other important parts of IDE.

The `getIdeManager` method returns the current `IdeManager`.

Author:
  TogetherSoft
See Also: IdeManager

Method Summary
`static IdeCommandManager` | `getCommandManager()` Returns an instance of `IdeCommandManager`.
`static IdeConfigManager` | `getConfigManager()` Returns `IdeConfigManager`.
`static IdeDiagramManager` | `getDiagramManager()` Returns `IdeDiagramManager` object.
`static IdeEditorManager` | `getEditorManager()` Returns an instance of `IdeEditorManager`.
`static IdeManager` | `getIdeManager()` Returns the current instance of `IdeManager`.
`static IdeMessageManager` | `getMessageManager()` Returns `IdeMessageManager`.
`static IdeProgressIndicator` | `getProgressIndicator()` Returns `IdeProgressIndicator`.
`static IdeProjectManager` | `getProjectManager()` Returns `IdeProjectManager`.
`static IdeResourceManager` | `getResourceManager()` Returns `IdeResourceManager`.
`static IdeUndoManager` | `getUndoManager()` Returns `IdeUndoManager`.
`static IdeWindowManager` | `getWindowManager()` Returns `IdeWindowManager`.
`static void` | `setErrorMessageInfo(String message)` Sets specified error `message` for the current `IdeManager`.
`protected static void` | `setIdeManager(IdeManager ideManager)` Sets specified current `IdeManager`.
`protected static void` | `setIdeMessageManager(IdeMessageManager ideMessageManager)` Sets specified `IdeMessageManager` as the current message manager.

Method Detail

### getCommandManager

    public static IdeCommandManager getCommandManager()

  Returns an instance of `IdeCommandManager`.
  Returns: `IdeCommandManager` object, or `null`, if the IdeManager is not available
  See Also:
    IdeCommandManager

### getConfigManager

    public static IdeConfigManager getConfigManager()

  Returns `IdeConfigManager`.
  Returns: `IdeConfigManager`
  See Also:
    IdeConfigManager

### getDiagramManager

    public static IdeDiagramManager getDiagramManager()

  Returns `IdeDiagramManager` object.
  Returns: instance of `IdeDiagramManager`
  See Also:
    IdeDiagramManager

### getEditorManager

    public static IdeEditorManager getEditorManager()

  Returns an instance of `IdeEditorManager`.
  Returns: `IdeEditorManager` or `null`, if the IdeManager is not available
  See Also:
    IdeEditorManager

### getIdeManager

    public static IdeManager getIdeManager()

  Returns the current instance of `IdeManager`. One instance of `IdeManager` is only allowed.
  Returns: current `IdeManager`
  See Also:
    IdeManager

### getMessageManager

    public static IdeMessageManager getMessageManager()

  Returns `IdeMessageManager`.
  Returns: `IdeMessageManager`
  See Also:
    IdeMessageManager

### getProgressIndicator

    public static IdeProgressIndicator getProgressIndicator()

  Returns `IdeProgressIndicator`.
  Returns: `IdeProgressIndicator` or `null`, if the IdeManager is not available
  See Also:
    IdeProgressIndicator

### getProjectManager

    public static IdeProjectManager getProjectManager()

  Returns `IdeProjectManager`.
  Returns: `IdeProjectManager` or `null`, if the IdeManager is not available
  See Also:
    IdeProjectManager

### getResourceManager

    public static IdeResourceManager getResourceManager()

  Returns `IdeResourceManager`.
  Returns: `IdeResourceManager`
  See Also:
    IdeResourceManager

### getUndoManager

    public static IdeUndoManager getUndoManager()

  Returns `IdeUndoManager`.
  Returns: `IdeUndoManager` or `null`, if the IdeManager is not available
  See Also:
    IdeUndoManager

### getWindowManager

    public static IdeWindowManager getWindowManager()

  Returns `IdeWindowManager`.
  Returns: `IdeWindowManager` or `null`, if the IdeManager is not available
  See Also:
    IdeWindowManager

### setErrorMessageInfo

    public static void setErrorMessageInfo(String message)

  Sets specified error `message` for the current `IdeManager`.
  Parameters:
    message `String` - error information for this `IdeManager`
  See Also:
    IdeManager.setErrorInfo(com.togethersoft.openapi.ide.IdeErrorInfo)

### setIdeManager

    protected static void setIdeManager(IdeManager ideManager)

  Sets specified current `IdeManager`. One instance only is allowed.
  Parameters:
    ideManager - `IdeManager` instance to be set as the current `IdeManager`

### setIdeMessageManager

    protected static void setIdeMessageManager(IdeMessageManager ideMessageManager)

  Sets specified `IdeMessageManager` as the current message manager. This method is invoked to provide access to the `IdeMessageManager` for the other services.
  Parameters:
    ideMessageManager `IdeMessageManager` - object to be set as the current one

Association Links

to Class com.togethersoft.openapi.ide.IdeManager

to Class com.togethersoft.openapi.ide.message.IdeMessageManager

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD